> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the reports of a project



## OpenAPI

````yaml /swagger.yaml get /projects/{id}/reports
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /projects/{id}/reports:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Project Report
      summary: List the reports of a project
      operationId: project_reports#get
      parameters:
        - name: page
          in: query
          schema:
            default: 1
            minimum: 1
            type: string
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/projectReports'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    projectReports:
      type: array
      items:
        $ref: '#/components/schemas/projectReport'
    error:
      type: object
      properties:
        error:
          type: string
    projectReport:
      type: object
      properties:
        id:
          type: integer
        created_at:
          type: string
          format: date-time
        url:
          type: string
        project:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/project'
        user:
          $ref: '#/components/schemas/user'
        division:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/category'
        report_kind:
          type: string
          enum:
            - unknown
            - procurement_purchase_orders
            - procurement_purchase_order_invoices
            - procurement_client_invoices
            - procurement_client_proposals
            - financial_reconciliation_supplier_invoices
            - contacts
            - versioning_snapshots
            - client_proposal_pdf
            - client_proposal_list
            - client_invoice_pdf
            - client_invoice_list
            - purchase_order_pdf
            - purchase_order_list
            - purchase_order_shipment_pdf
            - purchase_order_shipment_list
            - purchase_order_invoice_pdf
            - purchase_order_invoice_list
            - grid_view
            - table_view
            - one_product
            - advance_datasheet
            - subscription_invoice
            - order_tracking_not_shipped
            - order_tracking_not_shipped_with_po
            - order_tracking_shipped
            - order_tracking_arrive_soon
            - order_tracking_delivered
            - order_tracking_all_items
            - cross_projects
            - area_matrix
            - simple_products
            - library
    project:
      type: object
      properties:
        id:
          type: integer
          description: The unique identifier for the project.
        name:
          type: string
          description: The name of the project.
        code:
          type: string
          nullable: true
          description: The number of the project.
        client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        billing_client:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/contact'
        address:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/address'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/category'
          description: The categories of the project.
        project_currency:
          $ref: '#/components/schemas/projectCurrency'
        project_users:
          type: array
          items:
            $ref: '#/components/schemas/projectUser'
          description: The project users of the project.
    user:
      type: object
      properties:
        id:
          type: integer
        email:
          type: string
        name:
          type: string
    category:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/category'
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        region_id:
          type: integer
          nullable: true
    projectCurrency:
      properties:
        enabled:
          type: boolean
        currency:
          $ref: '#/components/schemas/currency'
        exchange_rates:
          type: array
          items:
            $ref: '#/components/schemas/exchangeRate'
    projectUser:
      type: object
      properties:
        user_id:
          type: integer
        access:
          type: string
          enum:
            - admin
            - view
            - edit
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
    currency:
      type: object
      properties:
        id:
          type: integer
        iso_code:
          type: string
        name:
          type: string
    exchangeRate:
      properties:
        rate:
          type: number
        exchange_currency:
          $ref: '#/components/schemas/currency'
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````